KABC::VCardFormatPlugin Class Reference

`#include <vcardformatplugin.h>`

Inheritance diagram for KABC::VCardFormatPlugin:

## Public Member Functions

bool | load (Addressee &, QFile *file)
bool | loadAll (AddressBook *, Resource *, QFile *file)
void | save (const Addressee &, QFile *file)
void | saveAll (AddressBook *, Resource *, QFile *file)
bool | checkFormat (QFile *file) const

## Detailed Description

Interface of vCard backend for address book.

This class implements the file format interface of address book entries for the vCard format.

Definition at line 37 of file vcardformatplugin.h.

## Member Function Documentation

bool VCardFormatPlugin::checkFormat | ( | QFile * | file | ) | const

virtual

Checks if given file contains the right format.

Implements KABC::FormatPlugin.

Definition at line 110 of file vcardformatplugin.cpp.

bool VCardFormatPlugin::load | ( | Addressee & | ,
|  | QFile * | file
| ) |  |

virtual

Load single addressee from file.

Implements KABC::FormatPlugin.

Definition at line 39 of file vcardformatplugin.cpp.

bool VCardFormatPlugin::loadAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) |  |

virtual

Load whole addressbook from file.

Implements KABC::FormatPlugin.

Definition at line 58 of file vcardformatplugin.cpp.

void VCardFormatPlugin::save | ( | const Addressee & | ,
|  | QFile * | file
| ) |  |

virtual

Save a single Addressee to file.

Implements KABC::FormatPlugin.

Definition at line 81 of file vcardformatplugin.cpp.

void VCardFormatPlugin::saveAll | ( | AddressBook * | ,
|  | Resource * | ,
|  | QFile * | file
| ) |  |

virtual

Save whole addressbook to file.

Implements KABC::FormatPlugin.

Definition at line 94 of file vcardformatplugin.cpp.

The documentation for this class was generated from the following files:

- vcardformatplugin.h
- vcardformatplugin.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys